# vim: ft=spec
%global srcname sway-systemd

Name:           sway-systemd-git
Version:        0.4.0^6.gitd2c1493
Release:        1%{?dist}
Summary:        Systemd integration for Sway session

License:        MIT
URL:            https://github.com/alebastr/sway-systemd
Source0:        sway-systemd-d2c14934.tar.gz

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros

Conflicts:      %{srcname}

Requires:       python3dist(dbus-next)
Requires:       python3dist(i3ipc)
Requires:       python3dist(psutil)
Requires:       python3dist(python-xlib)
Requires:       python3dist(tenacity)
Requires:       sway
Requires:       systemd
Recommends:     /usr/bin/dbus-update-activation-environment

%description
%{summary}.

The goal of this project is to provide a minimal set of configuration files
and scripts required for running Sway in a systemd environment.

This includes several areas of integration:
 - Propagate required variables to the systemd user session environment.
 - Define sway-session.target for starting user services.
 - Place GUI applications into a systemd scopes for systemd-oomd compatibility.

%prep
%setup -T -b 0 -q -n sway-systemd


%build
%meson \
    -Dautoload-configs='cgroups'
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/sway/config.d/10-systemd-session.conf
%config(noreplace) %{_sysconfdir}/sway/config.d/10-systemd-cgroups.conf
%{_datadir}/%{srcname}/*.conf
%dir %{_libexecdir}/%{srcname}
%{_libexecdir}/%{srcname}/assign-cgroups.py
%{_libexecdir}/%{srcname}/locale1-xkb-config
%{_libexecdir}/%{srcname}/session.sh
%{_libexecdir}/%{srcname}/wait-sni-ready
%{_userunitdir}/sway-session.target
%{_userunitdir}/sway-session-shutdown.target
%{_userunitdir}/sway-xdg-autostart.target


%changelog
